import numpy as np
import matplotlib.pyplot as plt
import matplotlib
from matplotlib.ticker import MultipleLocator, FormatStrFormatter


filename = 'B_vs_p.dat'

name, B, P, flag = np.genfromtxt(filename, unpack = True)

#####################################################
################## Plotting section #################
#####################################################
matplotlib.rc('font',**{'size' : 14, 'family':'serif',
'serif':['serif']})
matplotlib.rcParams['text.usetex'] = True
matplotlib.rcParams['ps.fonttype'] = 42
matplotlib.rcParams['ps.usedistiller'] = 'xpdf'
matplotlib.rcParams['xtick.major.pad'] = 10
matplotlib.rcParams['ytick.major.pad'] = 10
#####################################################
fig = plt.figure(figsize= (4,4))
axes1 = fig.add_axes([0,0,1,1])





axes1.set_xlabel('Spin period\,(h)')
axes1.set_ylabel('Magnetic field strength\,(MG)')
#plt.xlim(-2, 3)
#plt.ylim(-1.5, 3)
a = axes1.scatter(P[flag == 1], B[flag == 1], color = 'C1', marker = '^', edgecolor = 'black', s = 70, label = 'literature')
b = axes1.scatter(P[flag != 1], B[flag != 1], color = 'C0', edgecolor = 'black', s = 50, label = 'this paper')

axes1.plot(P[flag == 2], B[flag == 2], color = '0.3', zorder = -100)
axes1.semilogx()
axes1.semilogy()
#first_legend = axes1.legend(frameon = True, fontsize = 14, handles = [a,b])

##################################################
xmajorFormatter = FormatStrFormatter('%.1f')
axes1.xaxis.set_major_formatter(xmajorFormatter)

ymajorFormatter = FormatStrFormatter('%.1f')
axes1.yaxis.set_major_formatter(ymajorFormatter)
##################################################


plt.savefig('PvsB.pdf', bbox_inches = 'tight')
plt.show()
plt.close()